Bug 254524 - www/gohugo: Update to 0.82.0
Summary: www/gohugo: Update to 0.82.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Fernando Apesteguía
URL: https://github.com/gohugoio/hugo/rele...
Keywords:
Depends on:
Blocks:
 
Reported: 2021-03-24 12:42 UTC by ben.lavery@hashbang0.com
Modified: 2021-04-07 05:36 UTC (History)
3 users (show)

See Also:


Attachments
svn diff to upgrade to 0.82.0 (10.31 KB, patch)
2021-03-24 12:42 UTC, ben.lavery@hashbang0.com
ben.lavery: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description ben.lavery@hashbang0.com 2021-03-24 12:42:19 UTC
Created attachment 223547 [details]
svn diff to upgrade to 0.82.0

- portlint: OK (looks fine.)

- testport: OK (poudriere: <11.4-RELEASE, 11.4-STABLE, 12.2-RELEASE, 12.2-STABLE, 13.0-BETA3, 13.0-CURRENT, 14.0-CURRENT>, < amd64/i386 >, <manpages + with/without extended> tested)


In addition to upgrading the www/gohugo version,  it also removes to patches added in r562416 because the feature has been integrated into upstream.
The upstream implementation is slightly different, so a change is required to the documentation: https://reviews.freebsd.org/D29410

It would be good if this could be committed at around the same time as the above change.
Comment 1 Fernando Apesteguía freebsd_committer 2021-04-06 14:42:32 UTC
Hi Ben,

The diff does not remove the patches in files/ but as we talk in the mail, we should delete them, right?
Comment 2 ben.lavery@hashbang0.com 2021-04-06 15:44:59 UTC
(In reply to Fernando Apesteguía from comment #1)

Huh, yes these should be deleted.  I thought I did delete them...

I'm not going to be at my computer for some time, are you able to delete them for me?
Comment 3 Fernando Apesteguía freebsd_committer 2021-04-06 16:19:49 UTC
(In reply to ben.lavery@hashbang0.com from comment #2)

Sure, no problem. I will run some final tests before committing.

Thanks!
Comment 4 commit-hook freebsd_committer 2021-04-07 05:35:17 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=66c210139a8a5d34c36c80201714402f0fb980f7

commit 66c210139a8a5d34c36c80201714402f0fb980f7
Author:     Fernando Apesteguía <fernape@FreeBSD.org>
AuthorDate: 2021-04-06 13:45:41 +0000
Commit:     Fernando Apesteguía <fernape@FreeBSD.org>
CommitDate: 2021-04-07 05:31:06 +0000

    www/gohugo: Update to 0.82.0

    ChangeLog: https://github.com/gohugoio/hugo/releases/tag/v0.82.0

    Remove obsolete patches. We can use vanilla gohugo to build our documentation.

    PR:     254524
    Submitted by: ben.lavery@hashbang0.com (maintainer)

 www/gohugo/Makefile                                | 15 ++++++----
 www/gohugo/distinfo                                | 28 +++++++++++-------
 .../patch-markup_asciidocext_convert.go (gone)     | 11 -------
 ...atch-markup_asciidocext_convert__test.go (gone) | 34 ----------------------
 4 files changed, 26 insertions(+), 62 deletions(-)
Comment 5 Fernando Apesteguía freebsd_committer 2021-04-07 05:36:38 UTC
Committed,

Thanks!